org.h2gis.functions.spatial.edit

## Class ST_UpdateZ.UpdateZCoordinateSequenceFilter

- java.lang.Object
- - org.h2gis.functions.spatial.edit.ST_UpdateZ.UpdateZCoordinateSequenceFilter

All Implemented Interfaces:
  org.locationtech.jts.geom.CoordinateSequenceFilter

Enclosing class:
  ST_UpdateZ

    public static class ST_UpdateZ.UpdateZCoordinateSequenceFilter
    extends Object
    implements org.locationtech.jts.geom.CoordinateSequenceFilter

Replaces the z value to each vertex of the Geometry. If the condition is equal to 1, replace all z. If the consition is equal to 2 replace only not NaN z. If the condition is equal to 3 replace only NaN z.

### Constructor Summary

Constructors
Constructor and Description
`UpdateZCoordinateSequenceFilter(double z, int condition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter(org.locationtech.jts.geom.CoordinateSequence seq, int i)`
`boolean` `isDone()`
`boolean` `isGeometryChanged()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateZCoordinateSequenceFilter

    public UpdateZCoordinateSequenceFilter(double z,
                                           int condition)

### Method Detail

#### isGeometryChanged

    public boolean isGeometryChanged()

Specified by:
  `isGeometryChanged` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`

#### isDone

    public boolean isDone()

Specified by:
  `isDone` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`

#### filter

    public void filter(org.locationtech.jts.geom.CoordinateSequence seq,
                       int i)

Specified by:
  `filter` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`